define(function () {
    'use strict';

    var mixin = {

        /**
         * Clears filters data.
         *
         * @param {Object} [filter] - If provided, then only specified
         *      filter will be cleared. Otherwise, clears all data.
         * @returns {Filters} Chainable.
         */
        clear: function (filter) {
            filter ?
                filter.clear() :
                _.invoke(this.active, 'clear');

            var datepicker = document.getElementsByClassName('admin__control-text _has-datepicker');
            //filter.component = 'Magento_Ui/js/grid/filters/range';
            //this could be a fix for all adminhtml grid with filter dateRange
            if(datepicker != null && datepicker.length >0 && filter.name == 'filoblu_rma_rma_listing.filoblu_rma_rma_listing.listing_top.listing_filters.created_at')
            {
                datepicker[0].value = '';
                datepicker[1].value = '';
            }
            this.apply();
            return this;
        }

    };

    return function (target) { // target == Result that Magento_Ui/.../columns returns.
        return target.extend(mixin); // new result that all other modules receive
    };
});